DBInputFormat.DBInputSplit (Hadoop 0.20.2-cdh3u3 API)
Date: 2012-03-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib.db
Class DBInputFormat.DBInputSplit

    java.lang.Object
      org.apache.hadoop.mapreduce.InputSplit
          org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit
              org.apache.hadoop.mapred.lib.db.DBInputFormat.DBInputSplit

All Implemented Interfaces:
  Writable, InputSplit

Enclosing class:
  DBInputFormat<T extends DBWritable>

    protected static class DBInputFormat.DBInputSplit

extends DBInputFormat.DBInputSplit
implements InputSplit

A InputSplit that spans a set of rows

Constructor Summary
`DBInputFormat.DBInputSplit()` Default Constructor
`DBInputFormat.DBInputSplit(long start, long end)` Convenience Constructor

Method Summary

Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit
`getEnd, getLength, getLocations, getStart, readFields, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.InputSplit
`getLength, getLocations`

Methods inherited from interface org.apache.hadoop.io.Writable
`readFields, write`

Constructor Detail

### DBInputFormat.DBInputSplit

    public DBInputFormat.DBInputSplit()

  Default Constructor

### DBInputFormat.DBInputSplit

    public DBInputFormat.DBInputSplit(long start,
                                      long end)

  Convenience Constructor

  Parameters:
    `start` - the index of the first row to select
    `end` - the index of the last row to select

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation